Subject: Re: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, , Euro, etc.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 May 2015 19:13:37 +0300

> Date: Tue, 12 May 2015 04:56:20 -0400
> From: Richard Stallman <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > At least the last part of this thread was about _finding_ the
>   > character, if you have only partial information about it.  My comment
>   > above was about that use case, and that use case only.  You seem to be
>   > talking about a different use case: when the user already knows quite
>   > well which character she wants.
> 
> This seems like a misunderstanding about the word "find".

I don't think so.

> In general I know what the character looks like.
> I expect I would spot it immediately if I saw it.
> For instance, it wouldn't be hard to recognize the dotless i
> in a list of lowercase non-ASCII letters.

I presume that when you say "non-ASCII" you really mean "non-ASCII
Latin", since the number of lowercase non-ASCII characters is rather
large (about 1400, if I'm not mistaken).

There are 581 characters in the Unicode database that are lowercase
non-ASCII Latin letters.  While it's possible to go through this long
list looking for the one character you are after, it's hardly
convenient or efficient, IMO.

So I think IWBNI Emacs could help the user by showing less than this
amount.  For example, if you know it's some form of i, IWBNI Emacs
allowed you to say that, and be presented only with characters which
match that description (there are only 29 of them).

> Especially if it is in some sort of order.

The order in which to present the characters is also not trivial.  The
easiest one is the order of codepoints, but I presume it would be
better to group characters by their base character, i.e. all forms of
i together.